> This page is for version v1.
> For other versions, use one of these documentation indexes:
> - v2 (default): https://docs.pinnacle.sh/v-2/llms.txt
> - v1: https://docs.pinnacle.sh/v1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.pinnacle.sh/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pinnacle.sh/_mcp/server.

# Get RCS functionality

GET https://www.trypinnacle.dev/api/rcs_functionality

Retrieve the RCS functionality of a phone number. For example checks if a phone number can receive RCS message and if it can receive RCS carousels.

Reference: https://docs.pinnacle.sh/v1/api-reference/get-rcs-functionality

## Authentication

- `PINNACLE-API-Key` header (required) — Pinnacle API Key

## Request

### Query parameters

- `phoneNumber` (string, optional) — The phone number to check for RCS functionality. Should be in E.164 format (i.e. +12345678901).

## Response

### 200

Successfully retrieved RCS functionality

- `is_enabled` (boolean, required) — Indicates if RCS is enabled.
- `standalone_rich_card` (boolean, required) — Indicates if standalone rich cards are supported.
- `carousel_rich_card` (boolean, required) — Indicates if carousel rich cards are supported.
- `create_calendar_event_action` (boolean, required) — Indicates if buttons to create a calendar event are supported.
- `dial_action` (boolean, required) — Indicates if dial buttons are supported.
- `open_url_action` (boolean, required) — Indicates if open URL buttons are supported.
- `share_location_action` (boolean, required) — Indicates if share location buttons are supported.
- `view_location_action` (boolean, required) — Indicates if view location buttons are supported.

## Errors

### 400 Bad Request Error

Bad request due to invalid parameters like missing phone number or invalid phone number format

- `errors` (list of string, optional)

### 401 Unauthorized Error

Unauthorized access due to invalid or missing API key

- `errors` (list of string, optional)

### 500 Internal Server Error

Error getting companies

- `errors` (list of string, optional)

## Examples

**Response**

```json
{
  "is_enabled": true,
  "standalone_rich_card": true,
  "carousel_rich_card": true,
  "create_calendar_event_action": true,
  "dial_action": true,
  "open_url_action": true,
  "share_location_action": true,
  "view_location_action": true
}
```

**SDK Code**

```python RCS Functionalities found
import requests

url = "https://www.trypinnacle.dev/api/rcs_functionality"

headers = {"PINNACLE-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript RCS Functionalities found
const url = 'https://www.trypinnacle.dev/api/rcs_functionality';
const options = {method: 'GET', headers: {'PINNACLE-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go RCS Functionalities found
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.trypinnacle.dev/api/rcs_functionality"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("PINNACLE-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby RCS Functionalities found
require 'uri'
require 'net/http'

url = URI("https://www.trypinnacle.dev/api/rcs_functionality")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["PINNACLE-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java RCS Functionalities found
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.trypinnacle.dev/api/rcs_functionality")
  .header("PINNACLE-API-Key", "<apiKey>")
  .asString();
```

```php RCS Functionalities found
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.trypinnacle.dev/api/rcs_functionality', [
  'headers' => [
    'PINNACLE-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp RCS Functionalities found
using RestSharp;

var client = new RestClient("https://www.trypinnacle.dev/api/rcs_functionality");
var request = new RestRequest(Method.GET);
request.AddHeader("PINNACLE-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift RCS Functionalities found
import Foundation

let headers = ["PINNACLE-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.trypinnacle.dev/api/rcs_functionality")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```